compilando wine 1.4 en centos 6

yum install flex libv4l-devel libgphoto2-devel -y #(requerimientos)
wget http://voxel.dl.sourceforge.net/project/wine/Source/wine-1.4.tar.bz2
tar -xjvf wine-1.4.tar.bz2
cd wine-1.4/
./configure --prefix=/usr/local/ --disable-win16
make
su -c "make install"

13 respuesta a “compilando wine 1.4 en centos 6”

  1. Hola a todos, me entusiasma y me interesa mucho saber mas sobre el proyecto wine, he estado leyendo muchos artículos sobre lo que ofrece este programa, que digo programa…. programotaa, jeje…. por eso me encantaría saber todo lo ke tengo ke hacer para compilar wine en centos 5.5(para mi el mas estable) y despues de eso instalarlo para probar ya ke apenas hace un tiempo ke me enrolé en casi todo lo ke tiene ke ver con open source.
    Si alguien me puede ayudar estaría muy, pero muy agradecido 😀

  2. ok, espero que si sea de la misma manera, pero disculpa la ignorancia, donde consigo el códgio fuente de wine 1.4 para asi compilarlo en centos, hay algún repositorio donde ya se pueda descargar la version estable o la ke es para desarrolladores?, eske a mas de compilarlo kisiera ver si puedo aportar algo interesante.. gracias de nuevo por la ayuda

  3. Hola jdcastro, me arriesgué a compilar con los comandos que tu exhibiste, los apliqué en centos 5.5 como te mencione anteriormente, pero al momento de entrar la linea de comando: ./configure –prefix=/usr/local/ –disable-win16 , me da un error, dice que el flex instalado anteriormente es muy antiguo, pero es ilógico porque instale el flex-2.5.4a-41.fc6, y me dice que necesito una version de flex que sea la 2.5.33 o mas nueva…
    por favor agradeceria mucho tu ayuda, pues necesito realizar esta compilación para montar una aplicacion de windows en wine para un proyecto importante…
    muchas gracias, un saludo 😀

  4. Si hace el procedimiento desde la carpeta home no debes de tener ningun problema, ya lo compile en centos 5.5 y centos 6.3, y funciona todo bien, revisa los repositorios necesarios y verifica el yum update antes de comensar.
    saludos.

  5. ¡Hola!
    lo que me pasa es lo siguiente…
    a la hora de efectuar el 3 paso ( ./configure –prefix=/usr/local/ –disable-win16 ) desde la linea de comandos me sale lo siguiente…
    checking build system type… i686-pc-linux-gnu
    checking host system type… i686-pc-linux-gnu
    checking whether make sets $(MAKE)… yes
    checking for gcc… no
    checking for cc… no
    checking for cl.exe… no
    configure: error: in `/home/wine-1.4′:
    configure: error: no acceptable C compiler found in $PATH
    No entiendo muy BN porque, si me puede ayudar con este paso se los agradeceria.
    PD: lo estoy realisando en Centos 6.3, desde la carpeta /home y ya esta actualizado….. Cualquier alluda Gracias….

    1. Hola Yago,
      Es un problema de dependencias para la compilación. Te hace falta gcc. Prueba con ejecutar:
      yum install rpm-build rpm-devel gcc* automake* autoconf* gnupg -y
      para instalar las herramientas básicas para la compilación de paquetes.

  6. ¡Gracias! por la ayuda jdcastro, si me sirvio…
    Pero ahora me pasa lo siguiente…
    Despues de ejecutar el comando ( ./configure –prefix=/usr/local/ –disable-win16 ) me sale a lo ultimo este error…
    configure: error: X development files not found. Wine will be built
    without X support, which probably isn’t what you want. You will need
    to install development packages of Xlib/Xfree86 at the very least.
    Use the –without-x option if you really want this.
    y cuando quiero ejecutar make me sale…
    make: *** No targets specified and no makefile found. Stop.
    Cualquier alluda Gracias…
    PD: lo estoy realisando en Centos 6.3, desde la carpeta /home y ya esta actualizado con yum update….. Cualquier alluda Gracias….

  7. buenas amigos, a mi tbn despues de poner esto ./configure –prefix=/usr/local/ –disable-win16 me sale esto otro Cannot build a 32-bit program, you need to install 32-bit development libraries. tengo el centos 6.3 de 64 bits, será ese el problema???

  8. hola que tal buenas tardes que cres q a mi despues de poner ./configure –prefix=/usr/local/ –disable-win16, me sale:
    checking build system type… i686-pc-linux-gnu
    checking host system type… i686-pc-linux-gnu
    checking whether make sets $(MAKE)… yes
    checking for gcc… gcc
    checking whether the C compiler works… yes
    checking for C compiler default output file name… a.out
    checking for suffix of executables…
    checking whether we are cross compiling… no
    checking for suffix of object files… o
    checking whether we are using the GNU C compiler… yes
    checking whether gcc accepts -g… yes
    checking for gcc option to accept ISO C89… none needed
    checking for g++… g++
    checking whether we are using the GNU C++ compiler… yes
    checking whether g++ accepts -g… yes
    checking for cpp… cpp
    checking for the directory containing the Wine tools… $(top_builddir)
    checking for flex… flex
    checking whether flex is recent enough… yes
    checking for bison… no
    configure: error: no suitable bison found. Please install the ‘bison’ package.
    como se lo instalo???
    saludos

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *